import { IMidwayContainer } from '@midwayjs/core';
import { Route } from '..';
import { SnapShot } from '../runtime/snapshot';
import { ApiModule } from '../types/common';
import { ComponentOptions, HooksGatewayAdapter } from '../types/gateway';
export declare type LoadApiModuleOption = {
    mod: ApiModule;
    file: string;
    container: IMidwayContainer;
};
export declare class HooksComponent {
    options: ComponentOptions;
    adapters: HooksGatewayAdapter[];
    constructor(options: ComponentOptions);
    load(): {
        Configuration: import("@midwayjs/core/dist/functional/configuration").FunctionalConfiguration;
    };
    loadByDirectoryResolveFilter(): {
        pattern: string;
        ignoreRequire: boolean;
        filter: (_: void, file: string, container: IMidwayContainer) => void;
    }[];
    loadBySnapshot(snapshot: SnapShot): void;
    loadApiModule({ mod, file, container }: LoadApiModuleOption): void;
    getAdapterByRoute(route: Route): HooksGatewayAdapter;
    createApi(mod: ApiModule, adapter: HooksGatewayAdapter, file: string, route: Route): void;
    /**
     * @description Web only
     */
    getGlobalMiddleware(): ((ctx: any, next: any) => Promise<void>)[];
    useAsyncLocalStorage: (ctx: any, next: any) => Promise<void>;
}
